build_top=.
include config/commondefs
top_srcdir=@top_srcdir@
srcdir=@srcdir@
VPATH=@srcdir@
exec_prefix=@exec_prefix@


GAME_OBJS = $(build_top)/antichess/antichess_board.o $(build_top)/antichess/chess_capture_move.o\
    $(build_top)/antichess/chess_display_board.o\
    $(build_top)/antichess/antichess_valid_moves.o $(build_top)/antichess/antichess_valid_moves_avail.o \
    $(build_top)/antichess/chess_display.o
UI_OBJS = $(build_top)/web/top_node.o $(build_top)/web/main.o

OBJS= $(UI_OBJS) $(GAME_OBJS)

SUBDIRS = base ps5 antichess web

all: all_subdirs antichess-entangled 

LLDLIBS = -lbase -lps5
antichess-entangled: $(OBJS) $(LIBDIR)/libbase.a $(LIBDIR)/libps5.a
	$(C++F) -o $@ $^ $(LDFLAGS)

include $(top_srcdir)/config/commonrules

